//                                                                                
//    Copyright (c) 2004/2005 Thomas Fuchs / The Rockin'-B, www.rockin-b.de       
//                                                                                
//    Permission is granted to anyone to use this software for any purpose        
//    and to redistribute it freely, subject to the following restrictions:       
//                                                                                
//    1.  The origin of this software must not be misrepresented. You must not    
//        claim that you wrote the original software. If you use this software    
//        in a product, an acknowledgment in the product documentation would be   
//        appreciated but is not required.                                        
//                                                                                
//    2.  ANY COMMERCIAL USE IS PROHIBITED. This includes that you must not use   
//        this software in the production of a commercial product. Only an explicit
//        permission by the author can allow you to do that.                      
//                                                                                
//    3.  Any modification applied to the software must be marked as such clearly.
//                                                                                
//    4.  This license may not be removed or altered from any distribution.       
//                                                                                
//                                                                                
//    			    NO WARRANTY                                                 
//                                                                                
//    THERE IS NO WARRANTY FOR THE PROGRAM.                                       
//    THE PROGRAM IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND,               
//    EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,                 
//    THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE.                 
//    THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.
//    SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY    
//    SERVICING, REPAIR OR CORRECTION.                                            
//                                                                                
//    IN NO EVENT WILL THE COPYRIGHT HOLDER BE LIABLE TO YOU FOR DAMAGES,         
//    INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING 
//    OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED   
//    TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY    
//    YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER  
//    PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE       
//    POSSIBILITY OF SUCH DAMAGES.                                                
//                                                                                

#ifndef HAVE_SGM_POPUP_H
#define HAVE_SGM_POPUP_H

#include <SGL.H>

#ifdef __cplusplus
extern "C" {
#endif

char *CONFIRM_ERROR[5];
char *CONFIRM_WRITE_PROTECTED[5];
char *CONFIRM_LOAD_ERROR[5];
char *CONFIRM_SAVE[5];
char *CONFIRM_SAVE_ERROR[5];
char *CONFIRM_SAVE_SUCCESS[5];
char *CONFIRM_COPY[5];
char *CONFIRM_COPY_SUCCESS[5];
char *CONFIRM_DELETE[5];
char *CONFIRM_DELETE_SUCCESS[5];
char *CONFIRM_DELETE_ERROR[5];
char *CONFIRM_FORMAT[5];
char *CONFIRM_FORMAT_SUCCESS[5];
char *CONFIRM_FORMAT_ERROR[5];
char *CONFIRM_COMPRESS[5];
char *CONFIRM_COMPRESS_SUCCESS[5];
char *CONFIRM_COMPRESS_ERROR[5];
char *CONFIRM_DECOMPRESS[5];
char *CONFIRM_DECOMPRESS_SUCCESS[5];
char *CONFIRM_DECOMPRESS_ERROR[5];
//char *CONFIRM_FLASH_DATEL[5];
//char *CONFIRM_FLASH_AR4MP[5];
//char *CONFIRM_FLASH_ARP[5];
char *CONFIRM_FLASH[5];
char *CONFIRM_DIRCHANGE_SUCCESS[5];
char *CONFIRM_DIRCHANGE_ERROR[5];
char *CONFIRM_OVERWRITE_A[5];
char *CONFIRM_OVERWRITE_Z[5];


int SGM_confirm(Uint16 button, char **message, char *filename);

#ifdef __cplusplus
}
#endif

#endif // HAVE_SGM_POPUP_H
