#include <stdio.h>
#include <stdlib.h>

#ifdef WRITE_DATEL
char fname[] = "datel.bin";
#include "datel-ar.h"
#endif

#ifdef WRITE_AR4MP
char fname[] = "ar4mp.bin";
#include "ar4mp.h"
#endif

#ifdef WRITE_ARP
char fname[] = "arplus.bin";
#include "arplus.h"
#endif

// taken from RB_SaturnPCM.c
int writeData(char *fname, unsigned char *data, unsigned int length)
{
    FILE *file;
    int temp;
    
    if((file = fopen(fname, "wb")) == NULL) {
        printf("Error opening file %s!\n", fname);
        return -1;
    }
    temp = fwrite(data, sizeof(unsigned char), length, file);
    if(temp != length) {
        printf("Error while writing file %s!\n", fname);
        printf("Only %i of %i bytes written!\n", temp, length);
        return -1;
    }
    if(fclose(file) != 0) {
        printf("Error closing file %s!\n", fname);
        return -1;
    }

    printf("File %s successfully written!\n", fname);
    return 1;
}

int main(int argc, char *argv[])
{
  printf("Now writing binary file %s.\n", fname);
  writeData(fname, arrom_image, ARROM_LEN);
  system("PAUSE");	
  return 0;
}
